<?php
// ####################################################
// ocasion_add.php
// parte de shoop
// © ff 2005

include("_incl/wfCart.php");

session_start();

// ####################################################
// cargo el carrito o lo creo nuevo si fuera menester

	$cart =& $_SESSION['cart'];
	if(!is_object($cart)) $cart = new wfCart();

	$cart->add_item($_REQUEST['id'], 
					1,
					$_REQUEST['precio'], 
					array(	'tipo'=>'OCASION',
							'marca'=>'',
							'modelo'=>$_REQUEST['modelo'],
							'color'=>'',
							'acabados'=>''));

	// elimino el producto de la lista
	$conn = db_connect();
	if($conn) {
		$query = 'SELECT ocasion_unidades FROM shoop_ocasion WHERE ocasion_id = ' . $_REQUEST['id'];
		$result = mysql_query($query);
		if($result) {
			$row = mysql_fetch_array($result);
			$cuantos = $row['ocasion_unidades'] - 1;
			$query = 'UPDATE shoop_ocasion SET ocasion_unidades="' . $cuantos . '" WHERE ocasion_id = ' . $_REQUEST['id'];		
			$result = mysql_query($query);
		}
	}
	header('Location: ' . $HTTP_SERVER_VARS['HTTP_REFERER']);
?>